<WebBox ID="ed_text_content">
  <If condition="!{{has_content}}">
    No content!
    <a href="javascript: add_text_content()">
      <span class="button">Add Content</span>
    </a>     
  </If>
  <If condition="{{has_content}}">
    <form name="form_txtcontent" onsubmit="return false;">
    Content:<br>
    <textarea name="txtcontent" cols="70" rows="10" class="text">{{content}}</textarea><br>
    <a href="javascript: save_text_content()">
      <span class="button">Save</span>
    </a>
    <a href="javascript: reformat_text_content()">
      <span class="button">Reformat</span>
    </a>
    <a href="javascript: delete_text_content()">
      <span class="button">Delete</span>
    </a>
    </form>
  </If>
</WebBox>
